パスワードを忘れた? アカウント作成
2411937 story
Firefox

Firefox、新バージョンをリリースしても互換性を保持すべきでは? 67

ストーリー by reo
plathome-independentとは何だったのか… 部門より

ある Anonymous Coward 曰く、

「終わりなきパレード」のごとく続く Firefox のアップデートは、「ユーザーにこれといった利便性を提供する訳でもなく、例えば TinyMCE が提供するような一般的な機能を壊しているだけだ」と、InfoWolrd の Galen Gruman 氏が批判している (InfoWorld の記事本家 /. 記事より) 。

例えば Firefox 11 は、旧バージョンの TinyMCE との互換性がない。旧バージョン TinyMCE は非常に多くの web サイトで使われているリッチテキストエディタであるが、Firefox 11 では旧バージョン TinyMCE で書かれたコンテンツを表示することができずに空白となってしまう。

Mozilla のフォーラムでは、こうした場合は TinyMCE を最新版にアップデートするようにとアドバイスしているようだが、氏は「高速サイクルで新バージョンをリリースする度に、TinyMCE を使用する web サイトが TinyMCE を最新版にアップデートすることを期待しているなんて馬鹿げているし現実的でない」とし、「ブラウザはこうした多様性にも対応していかなければならない」と苦言を呈している。

この議論は賞味期限が切れたので、アーカイブ化されています。 新たにコメントを付けることはできません。
  • Chromeも高速リリースなんだが、なぜ並べて比較とかせんのだろうと良く思う。

    # その意味では高速になったらって特段問題が多発するようになったとも思わない
    # 開発再開したIE(8からね)も含め、現状各ブラウザは不具合をちゃんと潰しつつ進化してるとも思うんだけどな。

    まあ、やばい問題にぶちあたったら、そりゃ文句は出るだろうけど...普段どおりの数という気もw。
    麻痺してるかなぁ?

    --
    M-FalconSky (暑いか寒い)
  • 単なるバグ (スコア:3, 参考になる)

    by Anonymous Coward on 2012年04月03日 10時58分 (#2128602)

    TinyMCEの件は互換性が云々なんて話じゃなくて単にバグってただけ。Firefox 12で修正予定。
    https://bugzilla.mozilla.org/show_bug.cgi?id=737784 [mozilla.org]
    ほかにも、前後のバージョンでは問題ないけどFirefox 8だけWorkerの動作がおかしいとかFirefox 9だけtaintEnabledがないとかいくらでもあるので、高速リリース以降は特定バージョンを無理に使い続けてもバグを踏み続けるはめになるだけ。

    • by Anonymous Coward on 2012年04月03日 11時24分 (#2128620)

      Firefoxに限った話ではないけれども、元々この手の不具合は多く、
      積極的なユーザが果敢にバグを踏みに行ってレポートを上げる一方で、
      消極的なユーザは「メジャーバージョンアップ後は暫く様子を見る」等の自衛的判断をしていた。

      高速リリースはそーゆー「Firefoxとの付き合い方」を壊してしまった気がする。
      普通のユーザはどの不具合がいつ直ったか確認したりはしない。
      アップデートを忌避するようになるだけだ。

      サイレントアップデートが採用されたらますますFirefox離れは進み、バージョンが散るだろう。
      「最新バージョン以外」が順調に減り続けているIEとは逆の道を歩みそうだ。
      仕事柄、多数のブラウザの多数のバージョンを併用してるんだが、
      Firefoxばかりは、これからどう付き合っていけばいいのか、
      また、他人にどう奨めればいいのか、分からなくなりつつある。

      親コメント
      • by Anonymous Coward

        そこは、サイレントアップデートがどうこうって問題じゃ無く
        新バージョンがリリースされるたびに、以前は無かったバグが増えるというMozilla側の問題では?

        # で単純に「バグが多いから」という理由でユーザーは離れていく

        • by Anonymous Coward

          高速サイクル取り入れてからはリリース優先ですぐ直せるバグあってもとりあえず出すってどうなんだろうか
          「解決されてるんで次回リリースでで直りますよー」とか…

      • by Anonymous Coward

        高速リリースが誰の方向を向いてるのか分からないですよね。
        Firefoxが高速リリースになる前の時点でそういうのが好きな人はChromeに移行済みだし。
        あっちは法人顧客いないから長期サポートなんて不要だし。
        Mozillaの中の人は、なぜ流行のChromeに流れずにFirefoxを使い続けてる人がいたのか理解できなかったんだろうか。

        Firefoxに求められていたのは計画的なアップデートであって、高速リリースでは無かったと思う。
        スケジュールが遅れるのが当たり前な以前の状態も酷かったけど、今はそれ以前の問題だからな…

        とは言え、高速リリースになってからパフォーマンスを大幅に改善してきてるのも事実。
        以前のような通常のナンバリングで、きっかり1年サイクルのメジャーアップデートなら最高だったのに。

    • by hoihoi-p (5571) on 2012年04月03日 14時06分 (#2128771) 日記

      只今、12.0 β3 使用中。
      困ってるのは、「バスター君のプラグインが使えない」、「Yahoo ツールバーが使えない」こと。
      フィードバックには書いたけど、無視だろーなー。

      --
      hoihoi-p  得意淡然、失意泰然。
      親コメント
    • by Anonymous Coward

      バグならマイナーバージョンアップで潰して欲しいところ。11のバグなら11.1でとか。

      #バージョン番号の桁に意味なんかないとか突っこまれそうだけど。

  • by ef (25263) on 2012年04月03日 11時14分 (#2128612)
    Extended Support Release [mozilla.jp]を使うという選択もあります。選択肢が増えるだけで問題が解決するとは限りませんが。
    • by Anonymous Coward

      これ法人向けとかいてあるけど
      個人でも使っても良いの?

      • by Anonymous Coward

        禁止されてるわけではないけどセキュリティに関わるものを除いて大半のバグは放置されるので(「バグも仕様」というユースケース向けだからね)あまりおすすめしない。

    • by Anonymous Coward

      > 高速リリース以降は特定バージョンを無理に使い続けてもバグを踏み続けるはめになるだけ。

      って言ってる人もいるし、サイト制作側からすればIE6~IE9 全方向サポートの悪夢がよみがえるだけで、
      ダメなのかと問われたらダメと答えたい。

  • by mazinx (43571) on 2012年04月03日 14時14分 (#2128781)
    理想的には、同じHTMLに準拠していれば、どのバージョンのFirefoxとTinyMCEでも同じ結果が得られるはずなのだから。
    それが得られないのは、Firefoxが悪いのか、TinyMCEが悪いのか。
    互換性は関係ない。
  • by Anonymous Coward on 2012年04月03日 10時51分 (#2128596)

    platform independent

  • と公言してるも同然のサイトとか怖くて利用できません。

  • by Anonymous Coward on 2012年04月03日 11時01分 (#2128603)

    Firefox 11 では旧バージョン TinyMCE で書かれたコンテンツを表示することができずに空白となってしまう。

    なんでコンテンツが表示できないわけ?TinyMCE が標準に反するテキストを吐き出すの?

  • by Anonymous Coward on 2012年04月03日 12時40分 (#2128681)

    肥大化して動けなくなったネスケ。
    暴走して崖に突進する火狐。

    どちらも待っているのは、死。

    • by Anonymous Coward

      別にねぇ、狐が亡くなっても、サファリやちょろ目があるし。
      そろそろ、見切りをつける時期なんじゃないの?

      • by Anonymous Coward

        自分としては、SafariやOperaは最新版は動かないし、Chromeはそもそも動かないしで、
        公式で切られても野良ビルドでなんとかなるFirefoxが亡くなるとちと困る。

        WebGLとかの最新のハードに依存する機能はもう諦めてるけど、HTML5への対応状況とか
        JavaScriptの高速化とか、そういうのでやっぱり最新版は使いたい。

      • by Anonymous Coward

        Windowsだと、SafariやChromeよりも、IE10のほうがMSのサポートもあるのでベストな気がする。
        (もちろん、VistaやXPだったらIE10なんて選択肢はないから、FirefoxがだめならSafariかChromeのどちらかだろうけれど。)

        # おっと、Operaさんを忘れていた。

    • by Anonymous Coward

      1.0が出た頃、Firefoxは自分にとって希望そのものだったな。
      そんな自分も、今では殆ど使わなくなってしまった。

      無駄なバージョンアップに拘り始めてから急速に支持を失った印象だけど、
      既に終焉が近いのだとすれば、予想外に短い命だったと感じざるを得ない。

  • by Anonymous Coward on 2012年04月03日 16時33分 (#2128858)

    一般ユーザー的な視点から見てもバージョンアップのたびに一部のアドオンが互換性がないとかで無効化されるとそれを利用している人にとっては困るのですけど互換性を維持した状態でバージョンアップをすることはできないのでしょうか?

  • by Anonymous Coward on 2012年04月03日 17時34分 (#2128887)

    別にアップデートしたから便利ってものでもないし。

  • by Anonymous Coward on 2012年04月03日 18時03分 (#2128911)

    まだ書き足りないの?
    元記事の掲載日時と、Bugzillaの日時を比較しても、悪意の込められた嘘記事って分かるんだけど、別に転載してるだけだから釣られる奴が悪いって事?
    元サイトのコメント欄見ても、記事の偏り加減が分かるだろうに。

typodupeerror

身近な人の偉大さは半減する -- あるアレゲ人

読み込み中...